> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/telewellness-portal/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/telewellness-portal/api-reference/members/member-list.md).

# Member List

Use the `member` query to list the information of a specific [member](https://docs.suggestic.com/coaching-portal/user-management/managing-members#list-all-members) by a given ID.

## Required Argument

|   Required Name   |   Type   |                                                                    Description                                                                   |
| :---------------: | :------: | :----------------------------------------------------------------------------------------------------------------------------------------------: |
| **Required Name** | **Type** |                                                                  **Description**                                                                 |
|        `id`       |    ID    | Unique member ID. Get this ID by executing the [`member`](https://docs.suggestic.com/coaching-portal/api-references/members/members-list) query. |

## Available fields

| **Field name**     | **Type**                                                                      | **Description**                                                                                                                                                                                                                                                                        |
| ------------------ | ----------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `name`             | String                                                                        | Member name                                                                                                                                                                                                                                                                            |
| `birthdate`        | Date                                                                          | Member birthdate                                                                                                                                                                                                                                                                       |
| `phone`            | String                                                                        | Member's phone                                                                                                                                                                                                                                                                         |
| `memberSince`      | Date                                                                          | Date when the member has joined the TeleWellness Portal.                                                                                                                                                                                                                               |
| `biologicalSex`    | biologicalSex                                                                 | The biological sex of the user. Valid values are `MALE` and `FEMALE`                                                                                                                                                                                                                   |
| `activityLevel`    | ActivityLevel                                                                 | User's weekly activity level. Valid values are `NOT_ACTIVE`, `EXERCISE_1` (1 - 2 times per week) and `EXERCISE_2` (3+ times per week)                                                                                                                                                  |
| `startingWeight`   | Float                                                                         | The user's current weight. Expressed in kilograms.                                                                                                                                                                                                                                     |
| `targetWeight`     | Float                                                                         | The user's target weight. Expressed in kilograms.                                                                                                                                                                                                                                      |
| `weeklyWeightGoal` | WeeklyWeightGoal                                                              | <p>User weekly weight-related goal.<br>Valid values are:</p><p> <code>MANTAIN:</code> maintain the weight,</p><p><code>GOAL\_1:</code> lose 0.5 lb, </p><p><code>GOAL\_2:</code> lose (1 lb), </p><p><code>GOAL\_3:</code> lose (1.5 lb), </p><p><code>GOAL\_4:</code> lose (4 lb)</p> |
| `goalsOn`          | Boolean                                                                       | True if the goals functionality is enabled. Requires all other parameters to be set.                                                                                                                                                                                                   |
| `lastLogin`        | DateTime                                                                      | Date of the member's last login                                                                                                                                                                                                                                                        |
| `program`          | [program](https://docs.suggestic.com/graphql/query/queries/program/programs)  | Object that returns the program information assigned to the member                                                                                                                                                                                                                     |
| `restrictions`     | [restrictions](https://docs.suggestic.com/graphql/query/queries/restrictions) | Object that returns the information of the restrictions applied to the member                                                                                                                                                                                                          |

## Examples

{% tabs %}
{% tab title="Request" %}

```graphql
query {
  member(id: "TWVtYmVyOjBhMTA3YWM5LTg4Y2EtNGJkYy1iOTdhLWIyODE4NDA1ODVjZA==") {
   id
    name
    birthdate
    memberSince
    weight
    height
    credits {
      id
      value
    }

    program {
      id
      name
      slug
      author
      image
      cover
      backgroundImage
      descriptionShort
      descriptionLong
      restrictions {
        id
        name
        slug
      }
    }
  }
}

```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "member": {
      "id": "TWVtYmVyOjBhMTA3YWM5LTg4Y2EtNGJkYy1iOTdhLWIyODE4NDA1ODVjZA==",
      "name": "Liliana Iriarte S.",
      "birthdate": "1993-01-25",
      "memberSince": "2021-12-29",
      "weight": null,
      "height": 1.651,
      "credits": [
        {
          "id": "QXBwb2ludG1lbnRDcmVkaXQ6Mg==",
          "value": 1
        }
      ],
      "program": {
        "id": "UHJvZ3JhbTo0NDIzYTgwNy0wNGFiLTQwOGItODk1Mi00YWU5NzA5NmQ2YjQ=",
        "name": "Weight and Wellness",
        "slug": "weight-and-wellness",
        "author": "SuggesticPlus",
        "image": null,
        "cover": "https://sg-data.storage.googleapis.com/images_bucket/cover_weight-and-wellness_uhc-b692cc63-8e33-4d53-95e4-356b6ac857e2.png",
        "backgroundImage": "program/weight-and-wellness.png",
        "descriptionShort": "The Mediterranean Dietary Pattern is similar to the Healthy Dietary Pattern; however, it contains more fruit and seafood and less dairy.",
        "descriptionLong": "The Mediterranean Dietary Pattern is similar to the Healthy Dietary Pattern; however, it contains more fruit and seafood and less dairy.\r\n\r\nThis program adheres to a \"Healthy Dietary Pattern\" which includes nutrient-dense vegetables, fruits, grains, dairy, protein, and oils. It limits added sugars, saturated and trans fats, and sodium. Nutrient-dense foods are those that are in their lowest fat form, with little or no saturated fat, and contain little or no added salt or sugar.",
        "restrictions": []
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/telewellness-portal/api-reference/members/member-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
